
n = 3;
k = 100000;

A = rand(k*n, n);

tic;
d = zeros(k, 1);
for i = 1 : k
    ind = (i-1)*n + (1:n);
    d(i) = det(A(ind, :));
end
t_loop = toc;


tic;
d_blk = block_det(A);
t_blk = toc;

isequal(d, d_blk)